{% extends 'wafer/base.html' %}
{% load i18n %}
{% load news %}
{% load sponsors %}
{% load static from staticfiles %}
{% block extra_head %}
  <link rel="alternate" type="application/rss+xml" title="{{ WAFER_CONFERENCE_NAME }} RSS Feed" href="{% url 'news_rss' %}">
  <link rel="alternate" type="application/atom+xml" title="{{ WAFER_CONFERENCE_NAME }} Atom Feed" href="{% url 'news_rss' %}">
{% endblock%}

{% block container_class %}index{% endblock %}
{% block tagline_banner %}
<div class="tagline-banner">
  <div class='container'>
    <p class="lead">
      The 21st Debian Conference is being held Online, due to COVID-19,
      from August 24 to August 28, 2021.
      <br />
      It will also sport a DebCamp from August 15 to August 23, 2021
      (preceding the DebConf).
    </p>
  </div>
</div>
{% endblock %}

{% block content %}
  <div class="row">
    <div class="col-xl-9">
      {% if debconf_soon or debconf_day %}
        <section id="calls-to-action" class="row">
            <div class="col-lg-12">
              <div class="card">
                <div class="card-body">
                  {% if debconf_day %}
                  <h2 class="card-title">{{ WAFER_CONFERENCE_NAME }} is underway!</h2>
                  {% elif debconf_soon %}
                  <h2 class="card-title">{{ WAFER_CONFERENCE_NAME }} starts soon!</h2>
                  {% endif %}
                </div>
                  <div class="card-footer">
                    <a class="btn btn-lg btn-info" href="{% url 'wafer_full_schedule' %}">Schedule</a>
                  </div>
              </div>
            </div>
        </section>
        <section id="video-streams" class="row">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-body">
                <h2 class="card-title">Video streams</h2>
              </div>
            </div>
          </div>
          {% for blk in venue_blocks %}
            <div class="col-lg-6">
              <div class="card">
                 <div class="card-header text-center">
                  <h3>{{ blk.venue.name }}</h3>
                </div>
                <div class="card-body">
                  {% if blk.event.talk and blk.event.talk.video %}
                    <h5 class="card-title">From {{ blk.start_time }} to {{ blk.end_time }}</h5>
                    <div class="card-text">
                      <p>
                        {% include "wafer.schedule/schedule_item.html" with item=blk.event %}
                      </p>
                    </div>
                  {% else %}
                    <div class="card-text">
                      <p>
                        No event streaming currently.
                      </p>
                    </div>
                  {% endif %}
                </div>
                <div class="card-footer text-center">
                  <a class="btn btn-info" href="{{ blk.venue.get_absolute_url }}">
                    Watch the Stream
                  </a>
                </div>
              </div>
            </div>
          {% endfor %}
        </section>
      {% endif %}
      <section class="row">
        {% if user.is_authenticated %}
          <div class="col-lg-12">
            <div class="card">
              <div class="card-body">
                <h2 class="card-title">Profile</h2>
                <div class="card-text">
                  <p>
                    Manage your registration, bursary requests, invoices,
                    accommodation, public bio, and event submissions.
                  </p>
                </div>
              </div>
              <div class="card-footer">
                <a class="btn btn-info" href="{% url 'wafer_user_profile' username=user.username %}">View My Profile</a>
              </div>
            </div>
          </div>
        {% endif %}
      </section>
      <section id="news-section">
        <h1 id="news">News</h1>
        {% recent_news 3 %}
        <div id="more-news-link">
          <a href="{% url 'news' %}" class="btn btn-primary">More news</a>
        </div>
      </section>
    </div>

    <div class="col-xl-3">
      <h1 id="sponsors">Sponsors</h1>
      {% sponsors %}
    </div>
  </div>

  <section id="testimonials-section">
    <div class="row">
      <div class="col-lg-12">
        <h1 id="testimonials">Testimonials</h1>
      </div>
    </div>

    <div class="row justify-content-between">
      <div class="col-lg-6">
        <div class="card">
          <div class="card-body">
            <blockquote class="blockquote">
              <p>
                  DebConf is an opportunity to learn about the latest
                  updates to Debian and to talk about the next steps
                  and long-term direction of the project with the
                  people who are making it happen. Hudson River
                  Trading runs on Debian and is proud to annually
                  sponsor an event that brings together such a
                  talented community and supports its continued
                  development.
              </p>
              <footer class="blockquote-footer">Taylor Legg, Hudson River Trading</footer>
            </blockquote>
          </div>
        </div>
      </div>
      <div class="col-lg-5">
        <div class="card">
          <div class="card-body">
            <blockquote class="blockquote text-right">
              <p>
                It's an honor to attend DebConf and participate
                with such an extraordinary group of people working
                together for software freedom. Attending DebConf
                always fires me up to do more for the Debian
                community and gives me hope for the future of our
                technology.
              </p>
              <footer class="blockquote-footer">Karen Sandler - Executive Director of Software
                Freedom Conservancy, Debian Developer and Outreachy co-organizer</footer>
            </blockquote>
          </div>
        </div>
      </div>
    </div>
  </section>
{%endblock%}
